Bug 505732 - kde-plasma-networkmanagement-090519 can't connect to hidden SSID-networks
kde-plasma-networkmanagement-090519 can't connect to hidden SSID-networks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 05:50 EDT by Stefan Neufeind
Modified: 2010-06-28 08:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2009-06-13 05:50:02 EDT
090519 doesn't seem to find hidden networks. Doing a "iwlist wlan0 scan essid mynetwork" makes the network finally appear and networkmanagement also tries to associate with that network. (It still fails to connect for me, but I guess that's a separate bug - #505292)

To what I found some improvement for hidden SSID are said to have been commited upstream on 090520. So I tried by just using networkmanagement from "development" (which is 090602), but KDE didn't like that widget. Would upgrading the version in testing for F11 be a viable solution maybe?
Comment 1 Stefan Neufeind 2009-06-13 06:06:16 EDT
Just found 090602 in the koji-builds:
http://koji.fedoraproject.org/koji/buildinfo?buildID=104762

That has "Connect to hidden network" in the menu which allows entering a name - at least. It stil doesn't connect for me, but that seems to be related to other things maybe ...
Comment 2 Fedora Update System 2009-09-30 12:03:32 EDT
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11
Comment 3 Stefan Neufeind 2009-10-02 19:19:34 EDT
kde-plasma-networkmanagement currently responds it's "broken" and that the KDE4-port of knetworkmanager should be used for now.

About that knetworkmanager: I can't seem to get a hidden wpa2-network work. I've already killed all my connections and knetworkmanager-config under ~/.kde/... and also removed anything network-related from the wallet. What I tried:
* restarting the system
* creating a new connection, giving it a name and the SSID as well as choosing wpa2 and entering the key
* nothing happens (nothing in /var/log/messages about that I clicked etc.) when I select "connect to other network" and choose the just prepared network

Using the current NetworkManager from updates-testing (f11). Or is there e.g. a different version recommended etc.?
Comment 4 Ben Boeckel 2009-10-02 19:50:17 EDT
(In reply to comment #3)
> kde-plasma-networkmanagement currently responds it's "broken" and that the
> KDE4-port of knetworkmanager should be used for now.
Yes. It is now a kded service so that things don't get dropped when plasma crashes. The plasmoid will be updated at some point to work with this service.

> About that knetworkmanager: I can't seem to get a hidden wpa2-network work.
> I've already killed all my connections and knetworkmanager-config under
> ~/.kde/... and also removed anything network-related from the wallet. What I
> tried:
> * restarting the system
> * creating a new connection, giving it a name and the SSID as well as choosing
> wpa2 and entering the key
> * nothing happens (nothing in /var/log/messages about that I clicked etc.) when
> I select "connect to other network" and choose the just prepared network
Seeing as WPA2 hadn't worked before at all and now that broadcasted WPA2 does work, this is one step towards this goal. I'll keep an eye on commit logs to watch for hidden network changes.

> Using the current NetworkManager from updates-testing (f11). Or is there e.g. a
> different version recommended etc.?  
I don't think it works with 0.8 yet, so 0.7 still.
Comment 5 Ben Boeckel 2009-11-06 21:01:51 EST
How does this work with the latest snapshot?
Comment 6 Fedora Update System 2009-11-11 09:59:42 EST
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Bug Zapper 2010-04-27 10:51:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:57:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.